Loading...
Searching...
No Matches
QXmppExternalService Class Reference

## Public Types

enum class | Action { Add , Delete , Modify }
enum class | Transport { Tcp , Udp }

## Public Member Functions

QString | host () const
void | setHost (const QString &)
QString | type () const
void | setType (const QString &)
std::optional< Action > | action () const
void | setAction (std::optional< Action >)
std::optional< QDateTime > | expires () const
void | setExpires (std::optional< QDateTime >)
std::optional< QString > | name () const
void | setName (std::optional< QString >)
std::optional< QString > | password () const
void | setPassword (std::optional< QString >)
std::optional< int > | port () const
void | setPort (std::optional< int >)
std::optional< bool > | restricted () const
void | setRestricted (std::optional< bool >)
std::optional< Transport > | transport () const
void | setTransport (std::optional< Transport >)
std::optional< QString > | username () const
void | setUsername (std::optional< QString >)
void | parse (const QDomElement &)
void | toXml (QXmlStreamWriter *) const
| QXmppExternalService::toXml.

## Static Public Member Functions

static bool | isExternalService (const QDomElement &)

## Detailed Description

QXmppExternalService represents a related XMPP entity that can be queried using XEP-0215: External Service Discovery.

Since
  QXmpp 1.6

## Member Enumeration Documentation

## Action

enum class QXmppExternalService::Action

strong

Describes the action type of an external service IQ.

Since
  QXmpp 1.6

## Transport

enum class QXmppExternalService::Transport

strong

Describes the packet type of an external service IQ.

Since
  QXmpp 1.6

## Member Function Documentation

## action()

std::optional< Action > QXmppExternalService::action | ( |  | ) | const

Returns the action of the external service.

## expires()

std::optional< QDateTime > QXmppExternalService::expires | ( |  | ) | const

Returns the expiration date of the external service.

## host()

QString QXmppExternalService::host | ( |  | ) | const

Returns the host of the external service.

## isExternalService()

bool QXmppExternalService::isExternalService | ( | const QDomElement & | element | ) |

static

Returns true if the element is a valid external service and can be parsed.

## name()

std::optional< QString > QXmppExternalService::name | ( |  | ) | const

Returns the name of the external service.

## parse()

void QXmppExternalService::parse | ( | const QDomElement & | el | ) |

Parses given DOM element as an external service.

## password()

std::optional< QString > QXmppExternalService::password | ( |  | ) | const

Returns the password of the external service.

## port()

std::optional< int > QXmppExternalService::port | ( |  | ) | const

Returns the port of the external service.

## restricted()

std::optional< bool > QXmppExternalService::restricted | ( |  | ) | const

Returns the restricted mode of the external service.

## setAction()

void QXmppExternalService::setAction | ( | std::optional< Action > | action | ) |

Sets the action of the external service.

## setExpires()

void QXmppExternalService::setExpires | ( | std::optional< QDateTime > | expires | ) |

Sets the expiration date of the external service.

## setHost()

void QXmppExternalService::setHost | ( | const QString & | host | ) |

Sets the host of the external service.

## setName()

void QXmppExternalService::setName | ( | std::optional< QString > | name | ) |

Sets the name of the external service.

## setPassword()

void QXmppExternalService::setPassword | ( | std::optional< QString > | password | ) |

Sets the password of the external service.

## setPort()

void QXmppExternalService::setPort | ( | std::optional< int > | port | ) |

Sets the port of the external service.

## setRestricted()

void QXmppExternalService::setRestricted | ( | std::optional< bool > | restricted | ) |

Sets the restricted mode of the external service.

## setTransport()

void QXmppExternalService::setTransport | ( | std::optional< Transport > | transport | ) |

Sets the transport type of the external service.

## setType()

void QXmppExternalService::setType | ( | const QString & | type | ) |

Sets the type of the external service.

## setUsername()

void QXmppExternalService::setUsername | ( | std::optional< QString > | username | ) |

Sets the username of the external service.

## toXml()

void QXmppExternalService::toXml | ( | QXmlStreamWriter * | writer | ) | const

QXmppExternalService::toXml.

Translates the external service to XML using the provided XML stream writer.

Parameters

  writer |

## transport()

std::optional< QXmppExternalService::Transport > QXmppExternalService::transport | ( |  | ) | const

Returns the transport type of the external service.

## type()

QString QXmppExternalService::type | ( |  | ) | const

Returns the type of the external service.

## username()

std::optional< QString > QXmppExternalService::username | ( |  | ) | const

Returns the username of the external service.

The documentation for this class was generated from the following files:

- QXmppExternalService.h
- QXmppExternalServiceDiscoveryIq.cpp